HomePhabricator

[CMake] Add a warning message to prepare the upcoming upgrade to CMake 3.13.4

Authored by ldionne on Apr 8 2020, 9:26 AM.

Description

[CMake] Add a warning message to prepare the upcoming upgrade to CMake 3.13.4

As discussed in http://lists.llvm.org/pipermail/llvm-dev/2020-March/140349.html,
the minimum version of CMake required to build LLVM will be upgraded to
3.13.4 right after we create the release branch for LLVM 11.0.0.

As part of this effort, this commit adds a warning to give a heads up
to folks regarding the upcoming upgrade. This should allow users to
upgrade their CMake in advance so that the upgrade can sail right
through when the time comes.

Differential Revision: https://reviews.llvm.org/D77740